Name:		avifile

%define		major   0
%define		minor   7
%define		micro   7
%define		ver	%{major}.%{minor}.%{micro}
%define		date	20020523

Version:	%{ver}.%{date}
Release:	gst.2
Summary:   	AVI file support library

Group:		Libraries/Multimedia
License: 	GPL
URL:		http://divx.euro.ru/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://avifile.sourceforge.net/avifile-%{ver}-%{date}.tgz
BuildRoot: 	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig
Requires:	libstdc++
BuildRequires:	libvorbis-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	gcc-c++
BuildRequires:	libstdc++-devel
BuildRequires:  mad-devel
BuildRequires:  a52dec-devel
BuildRequires:  qt-devel >= 2.1.0
BuildRequires:  SDL-devel >= 1.1.3
## this ought to be done by SDL-devel but it's not getting done
BuildRequires:  XFree86-devel

%description
Avifile is a library that allows programs to read and write compressed
AVI files (Indeo (R) Video, DivX :-), etc.) under x86 Linux. 
(De)compression is performed with Win32 DLLs. 
This package uses the %{date} snapshot of avifile-%{ver}.

%package devel
Summary:	Header files and static libraries for avifile.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files and static libraries necessary to build
against the avifile library.

%package player
Summary:	Qt-based AVI player
Group:		Applications/Multimedia

Requires:	%{name} = %{version}-%{release}
Requires:	qt >= 2.1.0
Conflicts:	avifile-qt

%description player
A Qt-based player using avifile.

%package utils
Summary:	Qt-based AVI utilities
Group:		Applications/Multimedia

Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-player = %{version}-%{release}
Requires:	qt >= 2.1.0
Conflicts:	avifile-qt

%description utils
A few small Qt-based utilities for work with AVI files, like
a video capture utility and AVI recompressor.
These are not well-tested.

%prep
%setup -q -n %{name}%{major}.%{minor}-%{ver}

%build
# Needed for snapshot releases.
#CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --enable-release --enable-quiet
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
        --enable-static --enable-release --enable-quiet \
        --with-qt \
	--enable-a52 \
	--enable-mad \
        --enable-oss \
        --enable-sdl \
	--enable-vorbis
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
## make prefix=$RPM_BUILD_ROOT%{prefix} install
install -m 644 -D debian/aviplay.1 %{buildroot}%{_mandir}/man1/aviplay.1

## remove cruft from the docs
rm -f doc/Makefile*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README COPYING doc/*
%{_libdir}/libmmxnow*.so.*
%{_libdir}/libaviplay*.so.*
%{_libdir}/avifile%{major}.%{minor}/*.so

%files devel
%defattr(-, root, root)
%{_bindir}/avifile-config
%{_bindir}/mmxnow-config
%{_libdir}/libmmxnow*.so
%{_libdir}/libmmxnow*.a
%{_libdir}/libaviplay*.so
%{_libdir}/libaviplay*.a
%dir %{_libdir}/avifile%{major}.%{minor}
%{_libdir}/avifile%{major}.%{minor}/*.a
%{_includedir}/avifile/*
%{_includedir}/mmxnow.h

%files player
%defattr(-, root, root)
%{_libdir}/libqavm-*.so.*
%{_libdir}/libqavm*so
%{_libdir}/libqavm*a
# we could put .a file and .so file for libqavm in a -devel, but that's a
# bit overkill
%{_bindir}/aviplay
### images
%{_datadir}/avifile%{major}.%{minor}/*.ppm
%{_mandir}/man1/*

%files utils
%defattr(-, root, root)
%{_bindir}/avibench
%{_bindir}/avicap
%{_bindir}/avicat
%{_bindir}/avimake
%{_bindir}/avirecompress
%{_bindir}/avitype
### kv4lsetup needs to be suid
%attr(4755, root, root) %{_bindir}/kv4lsetup

%changelog
* Mon Jun 24 2002 Thomas Vander Stichele <thomas@apestaart.org>
- make utils require the player (because of the libavqm dep)
- move man page and images, they were in the wrong place

* Fri Jun 21 2002 Thomas Vander Stichele <thomas@apestaart.org>
- release 1
- adaptation for GStreamer packaging
- don't include .la files
- set decent Requires: and BuildRequires:
- split off qt-requiring packages in player and utils (see debian)

* Sat Jan 27 2001 Eugene Kuznetsov <divx@euro.ru>
- Updated to conform to new directory layout

* Tue Oct 02 2000 Eugene Kuznetsov <divx@euro.ru>
- Merged in contributed .spec  
- First public release

* Wed Sep 20 2000 Eugene Kuznetsov <divx@euro.ru>
- First try at an RPM
