Name: 		libdvdread
Version: 	0.9.3
Release: 	gst.2
Summary: 	A library for reading DVD video discs.

Group: 		System Environment/Libraries
License: 	GPL
URL: 		http://www.dtek.chalmers.se/~dvd/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	http://www.dtek.chalmers.se/groups/dvd/dist/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig
Requires: 	libdvdcss >= 1.2.0
BuildRequires:	libdvdcss-devel >= 1.2.0

%description
libdvdread provides a simple foundation for reading DVD video discs.
It provides the functionality that is required to access many DVDs.
It parses IFO files, reads NAV-blocks, and performs CSS authentication
and descrambling. 

%package devel
Summary: 	libdvdread development files and static libraries.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	libdvdcss-devel >= 1.2.0

%description devel
libdvdread-devel contains the files necessary to build packages that use the
libdvdread library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/libdvdread.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/dvdread/*.h
%{_libdir}/libdvdread.a
%{_libdir}/libdvdread.so

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- removed .la
- added requires for -devel
- wrote out full lib names in files section
- release 2

* Wed May 30 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted for GStreamer packaging

* Mon May 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.3.

* Wed May 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the libdvdcss.so.0/1/2 problem again.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Back to using libdvdcss 1.1.1, now it's all merged and fine.
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Sat Jan 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Reverted back to using libdvdcss 0.0.3.ogle3 since it works MUCH better
  than 1.0.x. Doh!

* Tue Nov 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against libdvdcss 1.0.0 (added a patch).

* Mon Oct 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and fixes.

* Thu Oct 11 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Updated to version 0.9.2

* Tue Sep 25 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Added small patch to fix the ldopen of libdvdcss

* Tue Sep 18 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Updated to version 0.9.1

* Fri Sep 14 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Split into normal and devel package

* Thu Sep 6 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Updated to version 0.9.0

* Tue Jul 03 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- initial version


